// user
import OrganizationManage from "./views/OrganizationManage.vue";
import RoleManage from "./views/RoleManage.vue";
import UserManage from "./views/UserManage.vue";
// rule
import CommonRule from "./views/CommonRule.vue";
import CardRuleManage from "./views/CardRuleManage.vue";
import CommonCardTemplate from "./views/CommonCardTemplate.vue";
import ParamPrintTemplate from "./views/ParamPrintTemplate.vue";
import CommonPrintTemplate from "./views/CommonPrintTemplate.vue";
import PrintPlanPushManage from "./views/PrintPlanPushManage.vue";
import FlowManage from "./views/FlowManage.vue";
import ApproveRecordManage from "./views/ApproveRecordManage.vue";
// dict
import CampusManage from "./views/CampusManage.vue";
import StudentManage from "./views/StudentManage.vue";
import CourseManage from "./views/CourseManage.vue";
import ClazzManage from "./views/ClazzManage.vue";
import SemesterManage from "./views/SemesterManage.vue";
import MajorManage from "./views/MajorManage.vue";

export default [
  {
    path: "/base/organization-manage",
    name: "OrganizationManage",
    component: OrganizationManage
  },
  {
    path: "/base/role-manage",
    name: "RoleManage",
    component: RoleManage
  },
  {
    path: "/base/user-manage",
    name: "UserManage",
    component: UserManage
  },
  {
    path: "/base/common-rule",
    name: "CommonRule",
    component: CommonRule
  },
  {
    path: "/base/card-rule-manage",
    name: "CardRuleManage",
    component: CardRuleManage
  },
  {
    path: "/base/common-card-template",
    name: "CommonCardTemplate",
    component: CommonCardTemplate
  },
  {
    path: "/base/param-print-template",
    name: "ParamPrintTemplate",
    component: ParamPrintTemplate
  },
  {
    path: "/base/common-print-template",
    name: "CommonPrintTemplate",
    component: CommonPrintTemplate
  },
  {
    path: "/base/print-plan-push-manage",
    name: "PrintPlanPushManage",
    component: PrintPlanPushManage
  },
  {
    path: "/base/flow-manage",
    name: "FlowManage",
    component: FlowManage
  },
  {
    path: "/base/approve-record-manage",
    name: "ApproveRecordManage",
    component: ApproveRecordManage
  },
  {
    path: "/base/course-manage",
    name: "CourseManage",
    component: CourseManage
  },
  {
    path: "/base/campus-manage",
    name: "CampusManage",
    component: CampusManage
  },
  {
    path: "/base/student-manage",
    name: "StudentManage",
    component: StudentManage
  },
  {
    path: "/base/clazz-manage",
    name: "ClazzManage",
    component: ClazzManage
  },
  {
    path: "/base/semester-manage",
    name: "SemesterManage",
    component: SemesterManage
  },
  {
    path: "/base/major-manage",
    name: "MajorManage",
    component: MajorManage
  }
];
