import { $postParam, $post } from "@/plugins/axios";

export const markTaskListPage = datas => {
  return $postParam("/api/admin/exam/structure/list", datas);
};
export const uploadPaperAndAnswer = datas => {
  return $post("/api/admin/exam/structure/upload", datas);
};
export const paperStructureDetail = datas => {
  return $post("/api/admin/exam/structure/preview_structure", datas);
};
// score-archive
export const scoreListPage = datas => {
  return $postParam("/api/admin/sys/user/user_list", datas);
};
export const scorePaperDetail = datas => {
  return $postParam("/api/admin/sys/user/user_list", datas);
};
// 第三方登录ypt
export const userSysRoles = () => {
  return $post("/api/admin/common/get_open_role", {});
};
export const yptAuth = roleType => {
  if (roleType === "MARKER") {
    return $post("/api/admin/exam/sso/marker_login", {});
  } else {
    return $post("/api/admin/exam/sso/marker_leader_login", {});
  }
};
// sync-result-manage
export const syncResultListPage = datas => {
  return $postParam("/api/admin/sys/user/user_list", datas);
};
export const downloadSyncLogs = datas => {
  return $postParam("/api/admin/sys/user/user_list", datas);
};
